Subject: Re: [PATCH] net: fjes: Reorder symbols to get rid of a few forward declarations

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Sep 2022 05:47:09 -0700

On Wed, 21 Sep 2022 08:49:35 +0200 Uwe Kleine-König wrote:
> On Tue, Sep 20, 2022 at 04:44:35PM -0700, Jakub Kicinski wrote:
> > On Sun, 18 Sep 2022 00:51:42 +0200 Uwe Kleine-König wrote:  
> > > Quite a few of the functions and other symbols defined in this driver had
> > > forward declarations. They can all be dropped after reordering them.
> > > 
> > > This saves a few lines of code and reduces code duplication.
> > > 
> > > Signed-off-by: Uwe Kleine-König <[email-masked]>  
> > 
> > Any reason why do this?  
> 
> The motivation was a breakage I introduced in another driver when I
> changed the prototype of a function and failed to adapt the declaration.
> (See 2dec3a7a7beb ("macintosh/ams: Adapt declaration of ams_i2c_remove()
> to earlier change") in today's next for the ugly details.)
> 
> Currently I work on changing the prototype for the remove callback of
> platform drivers. So the patch here is prepatory work to make the latter
> change easier to do and review.
> 
> > There's a ton of cobwebbed code with pointless forward declarations.  
> 
> For sure I won't address all of them. But if I stumble over one and find
> a few spare minutes I fix one at a time.
> 
> > Do you have the HW and plan to work on the driver?  
> 
> I neither have the hardware nor do I plan to work on the driver. It's
> just a platform driver I might touch at some point in the future to
> adapt for a core driver change.

Alright, let me ask the obligatory question - Yasuaki is there any
chance that this driver is obsolete? I presume not, so would you be
willing to volunteer as the maintainer to review related patches?